[Lenovo ThinkPad Edge E540] suspend/resume failure

Bug #1331077 reported by Totally King on 2014-06-17
170
This bug affects 27 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
linux (Ubuntu)
Medium
Unassigned

Bug Description

suspend to RAM failed before it was completed:
* fan was still on and
* Fn-F1- & Fn-F4-status LEDs were still on (signifying muted speakers and microphone respectively)
* nevertheless the general ThinkPad LED (the i's dot) (/proc/acpi/ibm/led 0) behaved like normal: slowly blinking, which normally means "I'm suspended to RAM."
* however resume was impossible: wakeup failed through mouse clicks, various keyboard keys and combinations and also the power key, only a hard reset (5s or so holding down the power key) could bring it back to life

Adding the kernel cmdline option acpi_sleep=nonvs was of no avail, too.

I recently upgraded to a new BIOS v2.07 [1], I think the problem exists since then.

Update
======
I confirmed that this is definitely a BIOS issue. The last working BIOS is v1.61 [2], so the change was introduced by v2.07 [1]. Installing the latest v2.08 [3] does not fix this problem.

So this is the changelog for v2.07 [1]:
- (Fix) Fixed an issue that system will auto wakeup after shutdown when battery capacity is under 15% on DC only.
- (Fix) Fixed an issue related to APS.
- (New) Added support for new GPU config.

By the way, I could not find a new GPU config option in the BIOS, same old choice <Integrated> vs. <Optimus>, nothing new.

[1] http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj10wd.iso
    http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj10wd.txt
[2] http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj09wd.iso
    http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj09wd.txt
[3] http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj11wd.iso
    http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj11wd.txt

ProblemType: KernelOops
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-30-generic 3.13.0-30.54
ProcVersionSignature: Ubuntu 3.13.0-30.54-generic 3.13.11.2
Uname: Linux 3.13.0-30-generic x86_64
Annotation: This occured during a previous suspend and prevented it from resuming properly.
ApportVersion: 2.14.1-0ubuntu3.2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: xxxxxx 2499 F.... pulseaudio
 /dev/snd/controlC0: xxxxxx 2499 F.... pulseaudio
Date: Tue Jun 17 17:16:54 2014
DuplicateSignature: suspend/resume:LENOVO 20C6S00200:J9ET87WW (2.07 )
ExecutablePath: /usr/share/apport/apportcheckresume
ExecutableTimestamp: 1400281919
Failure: suspend/resume
HibernationDevice: RESUME=UUID=2ecc68b9-65e3-4cee-9b2a-d41ff651e4e8
InstallationDate: Installed on 2014-01-06 (161 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
InterpreterPath: /usr/bin/python3.4
MachineType: LENOVO 20C6S00200
ProcCmdline: /usr/bin/python3 /usr/share/apport/apportcheckresume
ProcCwd: /
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-30-generic.efi.signed root=/dev/mapper/ubuntuvg-root ro quiet splash "acpi_osi=!Windows 2012" pcie_aspm=force intel_pstate=enable vt.handoff=7
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-30-generic N/A
 linux-backports-modules-3.13.0-30-generic N/A
 linux-firmware 1.127.3
SourcePackage: linux
Title: [LENOVO 20C6S00200] suspend/resume failure
UpgradeStatus: Upgraded to trusty on 2014-06-12 (5 days ago)
UserGroups:

dmi.bios.date: 05/13/2014
dmi.bios.vendor: LENOVO
dmi.bios.version: J9ET87WW (2.07 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20C6S00200
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrJ9ET87WW(2.07):bd05/13/2014:svnLENOVO:pn20C6S00200:pvrThinkPadEdgeE540:rvnLENOVO:rn20C6S00200:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 20C6S00200
dmi.product.version: ThinkPad Edge E540
dmi.sys.vendor: LENOVO

Totally King (totally-king) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: trusty
description: updated
description: updated
description: updated
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Totally King (totally-king) wrote :

Why incomplete? What's missing, i.e. how can I help?

description: updated
description: updated
tags: added: bios-outdated-2.08 needs-upstream-testing
removed: bios-updated-2.07 kernel-bug-exists-upstream
Totally King (totally-king) wrote :

I created a new report with the updated BIOS v2.08: Bug #1331425

My line of thinking was that the issue was introduced in v2.07, thus I should report a bug using this version. Plus, as I already checked (see description), it is not fixed by the latest v2.08.

Totally King, could you please test the latest upstream kernel available from the very top line at the top of the page (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-3.16-rc1

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: latest-bios-2.08
removed: bios-outdated-2.08
tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-3.16-rc1
removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Totally King, did this problem not occur in a release prior to Trusty?

tags: removed: kernel-bug-exists-upstream-3.14.1
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Totally King (totally-king) wrote :

I cannot tell in retrospect because I installed the BIOS upgrade only after I upgraded to Trusty.

However I booted Saucy live from a USB drive and the exact same issue occurs (as described, an incomplete suspend with still powered fan and keyboard).

(Earlier releases I wouldn't deem sensible to test, since I never installed anything older than Saucy. This model was released Q4 2013.)

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Totally King, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel ?

Please provide a direct URL to your e-mail to the mailing list once you have made it so that it may be tracked.

Thank you for your understanding.

tags: added: saucy
Changed in linux (Ubuntu):
status: Confirmed → Triaged

I've got the same problem with my Thinkpad e540 and bios V2.08 on Ubuntu 14.04.

Lance (lance36) wrote :

Got the exact same problem.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1333634

you sure its a BIOS v2.07 introduced bug? i've a colleague with the same laptop that has actually working suspend functionality i'll ask him what BIOS is running.

Lance (lance36) wrote :

Confirmed: BUG its not present on BIOS Revision: 1.16.

# sudo dmidecode

BIOS Information
    Vendor: LENOVO
    Version: J9ET37WW (1.16 )
    Release Date: 11/27/2013
    Address: 0xE0000
    Runtime Size: 128 kB
    ROM Size: 16384 kB
    Characteristics:
        PCI is supported
        PNP is supported
        BIOS is upgradeable
        BIOS shadowing is allowed
        Boot from CD is supported
        Selectable boot is supported
        ACPI is supported
        USB legacy is supported
        BIOS boot specification is supported
        Targeted content distribution is supported
        UEFI is supported
    BIOS Revision: 1.16
    Firmware Revision: 1.16

now... its there a way to safely downgrade? :)

Totally King (totally-king) wrote :

Sry, I don't have the time right now to post the bug upstream. I'll do it as soon as can get to it.

The last working BIOS version for me is 1.61. I up- and downgraded quite a lot for the purpose of testing this bug - and as long as you follow the instructions (do NOT turn off your computer etc. ...) this should be quite safe.

Downgrading works just the same way as upgrading (boot from the BIOS update CD), but in the `Security` Menu of the BIOS besides enabling `Flash BIOS Updating by End-Users` (which you also need for upgrading) you have to disable `Secure RollBack Prevention`. (See p. 118 of the English User Guide.)

description: updated
tags: removed: need-duplicate-check
ivavis (ivano.visco) wrote :

This bug affects me too on Lenovo Thinkpad e540 with BIOS ver. 2.08
Trying to update BIOS to ver. 2.09

Ivano Visco, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Lance (lance36) wrote :

Totallyking, do you perhaps have also the windows-utility for bios v1.61? i dont have any cd-r handy and burning it into a dvd-rw seems a no-go...

Download full text (5.3 KiB)

Since I got this ThinkPad I refrain from using Redmond products outside of
a VM. But luckily I can give you the link. ^^ All you need to do is take
the current link and substitute the version number suffix. So for v1.61 the
suffix is `j09` instead of `j12`. Prego:
http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj09ww.exe

Sonnige Grüße

Stefan

On Thu, Jul 3, 2014 at 2:53 PM, Lance <email address hidden> wrote:

> Totallyking, do you perhaps have also the windows-utility for bios
> v1.61? i dont have any cd-r handy and burning it into a dvd-rw seems a
> no-go...
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1331077
>
> Title:
> [Lenovo ThinkPad Edge E540] suspend/resume failure
>
> Status in “linux” package in Ubuntu:
> Triaged
>
> Bug description:
> suspend to RAM failed before it was completed:
> * fan was still on and
> * Fn-F1- & Fn-F4-status LEDs were still on (signifying muted speakers
> and microphone respectively)
> * nevertheless the general ThinkPad LED (the i's dot)
> (/proc/acpi/ibm/led 0) behaved like normal: slowly blinking, which normally
> means "I'm suspended to RAM."
> * however resume was impossible: wakeup failed through mouse clicks,
> various keyboard keys and combinations and also the power key, only a hard
> reset (5s or so holding down the power key) could bring it back to life
>
> Adding the kernel cmdline option acpi_sleep=nonvs was of no avail,
> too.
>
> I recently upgraded to a new BIOS v2.07 [1], I think the problem
> exists since then.
>
> Update
> ======
> I confirmed that this is definitely a BIOS issue. The last working BIOS
> is v1.61 [2], so the change was introduced by v2.07 [1]. Installing the
> latest v2.08 [3] does not fix this problem.
>
> So this is the changelog for v2.07 [1]:
> - (Fix) Fixed an issue that system will auto wakeup after shutdown when
> battery capacity is under 15% on DC only.
> - (Fix) Fixed an issue related to APS.
> - (New) Added support for new GPU config.
>
> By the way, I could not find a new GPU config option in the BIOS, same
> old choice <Integrated> vs. <Optimus>, nothing new.
>
> [1] http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj10wd.iso
> http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj10wd.txt
> [2] http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj09wd.iso
> http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj09wd.txt
> [3] http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj11wd.iso
> http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj11wd.txt
>
> ProblemType: KernelOops
> DistroRelease: Ubuntu 14.04
> Package: linux-image-3.13.0-30-generic 3.13.0-30.54
> ProcVersionSignature: Ubuntu 3.13.0-30.54-generic 3.13.11.2
> Uname: Linux 3.13.0-30-generic x86_64
> Annotation: This occured during a previous suspend and prevented it from
> resuming properly.
> ApportVersion: 2.14.1-0ubuntu3.2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: xxxxxx 2499 F.... pulseaudio
> /dev/snd/controlC0: xxxx...

Read more...

Lance (lance36) wrote :

i'm also triyng to not run windows but lenovo seems pretty strict with his cd-r or windows bios update policy... cant seem to get it working from usb or dvd-rw

thanks for the link, so i was on the right path :)

also notice the last letter changes from d (which i suppose stands for dos?) to w (windows?)

Jörn Horstmann (jhorstmann) wrote :

This bug also affects me on an E540 with model number 20C6CTO1WW and Bios 2.07. A workaround for me is disabling usb 3.0 in the bios - after that suspend and resume work fine. Should I still open a new bug report with my exact hardware details?

Disable USB 3.0 works for me too !
Thanks Jörn !

Lance / Jörn Horstmann / Pierre PIRONIN, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

I can confirm that this issue also occurs on the newest firmware (2.11) on Fedora Linux

Martin van Dijk, please do not add stray bug tasks to this report. Instead, if you are having an issue in Fedora, please report it to them directly. If you have a bug in Ubuntu, so your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

no longer affects: linux (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

affects: linux (Fedora) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Peter Funk (pf-artcom-gmbh) wrote :

I just received this Lenovo ThinkPad E540 today. I replaced the harddisk with an 120 GB SSD and made fresh install of Kubuntu 14.04.1 and discovered this bug here.
Fortunately the proposed workaround to disable USB3.0 in the BIOS settings helped to get around this.

Alex Chiang (achiang) wrote :

I confirm that disabling USB3.0 in my BIOS allows my Thinkpad E440 to suspend/resume successfully again.

uname -a
Linux pumbaa 3.13.0-35-generic #62-Ubuntu SMP Fri Aug 15 01:58:42 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Handle 0x000C, DMI type 1, 27 bytes
System Information
 Manufacturer: LENOVO
 Product Name: 20C5CTO1WW
 Version: ThinkPad Edge E440
 SKU Number: LENOVO_MT_20C5_BU_Think_FM_ThinkPad Edge E440
 Family: ThinkPad Edge E440

Handle 0x0030, DMI type 0, 24 bytes
BIOS Information
 Vendor: LENOVO
 Version: J9ET88WW (2.08 )
 Release Date: 05/20/2014
 Address: 0xE0000
 Runtime Size: 128 kB
 ROM Size: 16384 kB
 Characteristics:
  PCI is supported
  PNP is supported
  BIOS is upgradeable
  BIOS shadowing is allowed
  Boot from CD is supported
  Selectable boot is supported
  ACPI is supported
  USB legacy is supported
  BIOS boot specification is supported
  Targeted content distribution is supported
  UEFI is supported
 BIOS Revision: 2.8
 Firmware Revision: 2.8

Alex Chiang (achiang) wrote :

There have been multiple BIOS updates released, although none of them mention USB3.0:

http://support.lenovo.com/us/en/downloads/ds037208

Alex Chiang (achiang) wrote :

Upstream claims they cannot fix it. :(

https://bugzilla.kernel.org/show_bug.cgi?id=80351

Murat Asya (murat-asya) wrote :

Anyone know there is suspend/resume issue on windows 7/8 at enable USB3 ?

At Linux kernel mail list, this information was wanted by user Zhang Rui . I think he/she who is working at Intel

Murat Asya (murat-asya) wrote :

Zhang Rui says:

"Sorry that I missed this post.
And I will close this bug as it is a BIOS issue and there is nothing we can do in Linux kernel to fix/workaround it."

So we exactly have to know bios or linux kernel give rise to this issue.

Totally King, as per http://download.lenovo.com/express/ddfm.html an update to your BIOS is available (2.11). If you update to this following https://help.ubuntu.com/community/BiosUpdate does it change anything? If it doesn't, could you please both specify what happened, and provide the output of the following terminal command:
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

Please note your current BIOS is already in the Bug Description, so posting this on the old BIOS would not be helpful. As well, you don't have to create a new bug report.

For more on BIOS updates and linux, please see https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette .

Once the BIOS is updated, then please mark this report Status Confirmed.

Thank you for your understanding.

tags: added: bios-outdated-2.11
removed: latest-bios-2.08
Changed in linux (Ubuntu):
status: Triaged → Incomplete
alepac (alessandro-pacifici) wrote :

Even the latest (2.12) BIOS update from lenovo is affected:

  J9ET92WW (2.12 )
  07/31/2014

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Alex (ateplih) wrote :

The same problem. BIOS J9ET92WW (2.12). Lenovo E540 product 20C6005VRT.

alepac / Alex, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Murat Asya (murat-asya) wrote :

Hi guys

It look that the issue is not about Ubuntu. Probably lenovo bios not supported Gnu/Linux kernel. I have been sended a couple of tweets to Offical Lenovo Accout.

I think that Lenovo enginers intrested in fixing the issue..

"@muratsplat @lenovo Murat, Would you send me an email with more details? <email address hidden> We'll look at what you have in bugzilla"

"bugzilla" which is in the quotation is Linux kernel Bug Tracker System, so it is this https://bugzilla.kernel.org/show_bug.cgi?id=80351

Tsvetomir Dimitrov (tdimitrov) wrote :

There is new BIOS for thinkpad edge e440 - ver 2.16 from 30-Oct. Unfortunately it doesn't solve the issue for me.
I'm runnung 14.04 with the latest updates.

Tsvetomir Dimitrov, thank you for your comment. Unfortunately, this bug report is not scoped to you, your hardware, or your problem. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
https://wiki.ubuntu.com/Kernel/Policies/DuplicateBugs
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Dan Andreșan (danyer) wrote :

@penalvch Hi Christopher,
E440 and E540 are almost identical, except the size of the screen (14 inch vs 15 inch).
Even the BIOS releases on Lenovo web are "for E440/E540".

Furthermore, there is already another post in this bug reporting E440 (from @achiang).

I have E540 and I'm affected by this problem (although not on Ubuntu, but on Arch).

I would propose to leave both E440 and E540 as targets for this bug.

Thanks,
Dan.

Dan Andreșan, if one had read the instructions previously noted in #37, one would know we don't do catchalls or dogpiles here on Launchpad. As well, this bug report is the wrong venue for this discussion. Hence, it's pretty simple, file a new report, or your problem and comments are going to be ignored.

Thank you for your understanding.

Neelson, please do not mark this a duplicate of another report, or vice versa.

Alex Chiang (achiang) wrote :

@penalvch - if the manufacturer doesn't differentiate between the E440 and E540 at the BIOS level, how does it make any sense for a downstream like Launchpad to maintain the fiction that they're two different machines?

The condescension you demonstrate in #39 is unnecessary.

Alex Chiang, this is the wrong venue for such a discussion, but it's about the parts under the hood, which frequently differ in the same model line, and between similar models (which is documented verbatim in #37). Sharing a BIOS is irrelevant.

Neelson (nmahene) wrote :

According to http://forums.lenovo.com/t5/ThinkPad-Edge-S-series/E540-Suspend-Resume-failure/m-p/1803308#M32836
Lenovo finally is willing to investigate the problem but only if someone with an special model of the E540 with one of two specific Linux version calls for help. Maybe one of you fits that profile?

"I understand that on a technical level, Linuxs distibutions share the same bones, which is how I will open the case for one distro and resolve the issue for all.

The problem lies in what Lenovo supports. My next level support cannot accept a case opened on anything other then the two listed - RHEL 7.0 or Ubuntu 12.04.02 on model 20C6-Z049US (Thanks Mahene!). I can't change the rules, but I can use them to drive a case.

If you are running either of these versions on this model, experiencing the issue as described in this thread, and willing to assist, please PM me.

Amy Tupper
Technical Resolution Lead, Pervasive Issues
Lenovo US"

pereze (pereze) wrote :

I'm affected by this bug.
On latest BIOS update 2.17 problem persists.
Disable USB3.0 on Bios solves the problem.

Tried on kernels 3.16.0-29 and 3.18.2.
Running on Ubuntu 14.10, but I don't mind to install any other distro or version, either RHEL 7.0 or Ubuntu 12.04.02.
I'm able to help debug or provide any feedback if needed.

System Information
    Manufacturer: LENOVO
    Product Name: 20C5A0BB00
    Version: ThinkPad Edge E440
    Wake-up Type: Power Switch
    SKU Number: LENOVO_MT_20C5_BU_Think_FM_ThinkPad Edge E440
    Family: ThinkPad Edge E440
BIOS Information
    Vendor: LENOVO
    Version: J9ET97WW (2.17 )
    Release Date: 12/12/2014

Thanks,

Hi All,

I'm facing the same problem on Lenovo E545. Can some please help me by letting me know how to disable the USB 3.0 port on my machine.

Thanks

Hi All,

I'm facing the same problem on Lenovo E545. Would be nice if the bug will be solved. Using 14.04.

Thank you

Martin

Murat Asya (murat-asya) wrote :

@harsha-ellanti, You can disable USB-3 support on your laptop's BIOS.

@martin, this issue only fixed by Lenovo BIOS engineers. There is not different way to it...

Look at this : https://bugzilla.kernel.org/show_bug.cgi?id=80351

Thanks @murat-asya.

I think the issue has been resolved and my system is booting after sleep normally. Thanks

Murat Asya (murat-asya) wrote :

It is real?

What is fixed the issue? new bios version or new kenel version ?

On 01-03-2015 14:44, Harshavardhan Chowdary Ellanti wrote:
> Thanks @murat-asya.
>
> I think the issue has been resolved and my system is booting after sleep
> normally. Thanks
>

--
___________________________________

Murat Ödünç

Jon Bakker (xc-racer2) wrote :

Earlier this morning Lenovo released a new bios update, version 2.18. With it I can no suspend and resume with USB 3.0 enabled.
It can be found at
http://support.lenovo.com/us/en/products/laptops-and-netbooks/thinkpad-edge-laptops/thinkpad-edge-e540/downloads//downloads/DS037208

Jon Bakker (xc-racer2) wrote :

Sorry for the typo in the last post, "no suspend and resume" should be "now suspend and resume", as in it works!

Alex (ateplih) wrote :
Download full text (5.0 KiB)

Yes! Work! Bios 2.18. Ubuntu 14.04.2.
20 марта 2015 г. 18:55 пользователь "Ivan Frederiks" <
<email address hidden>> написал:

> ** Also affects: linux via
> http://bugzilla.kernel.org/show_bug.cgi?id=80351
> Importance: Unknown
> Status: Unknown
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1331077
>
> Title:
> [Lenovo ThinkPad Edge E540] suspend/resume failure
>
> Status in The Linux Kernel:
> Unknown
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> suspend to RAM failed before it was completed:
> * fan was still on and
> * Fn-F1- & Fn-F4-status LEDs were still on (signifying muted speakers
> and microphone respectively)
> * nevertheless the general ThinkPad LED (the i's dot)
> (/proc/acpi/ibm/led 0) behaved like normal: slowly blinking, which normally
> means "I'm suspended to RAM."
> * however resume was impossible: wakeup failed through mouse clicks,
> various keyboard keys and combinations and also the power key, only a hard
> reset (5s or so holding down the power key) could bring it back to life
>
> Adding the kernel cmdline option acpi_sleep=nonvs was of no avail,
> too.
>
> I recently upgraded to a new BIOS v2.07 [1], I think the problem
> exists since then.
>
> Update
> ======
> I confirmed that this is definitely a BIOS issue. The last working BIOS
> is v1.61 [2], so the change was introduced by v2.07 [1]. Installing the
> latest v2.08 [3] does not fix this problem.
>
> So this is the changelog for v2.07 [1]:
> - (Fix) Fixed an issue that system will auto wakeup after shutdown when
> battery capacity is under 15% on DC only.
> - (Fix) Fixed an issue related to APS.
> - (New) Added support for new GPU config.
>
> By the way, I could not find a new GPU config option in the BIOS, same
> old choice <Integrated> vs. <Optimus>, nothing new.
>
> [1] http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj10wd.iso
> http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj10wd.txt
> [2] http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj09wd.iso
> http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj09wd.txt
> [3] http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj11wd.iso
> http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/j9uj11wd.txt
>
> ProblemType: KernelOops
> DistroRelease: Ubuntu 14.04
> Package: linux-image-3.13.0-30-generic 3.13.0-30.54
> ProcVersionSignature: Ubuntu 3.13.0-30.54-generic 3.13.11.2
> Uname: Linux 3.13.0-30-generic x86_64
> Annotation: This occured during a previous suspend and prevented it from
> resuming properly.
> ApportVersion: 2.14.1-0ubuntu3.2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: xxxxxx 2499 F.... pulseaudio
> /dev/snd/controlC0: xxxxxx 2499 F.... pulseaudio
> Date: Tue Jun 17 17:16:54 2014
> DuplicateSignature: suspend/resume:LENOVO 20C6S00200:J9ET87WW (2.07 )
> ExecutablePath: /usr/share/apport/apportcheckresume
> ExecutableTimestamp: 1400281919
> Failure: suspend/resume
> Hibernati...

Read more...

Murat Asya (murat-asya) wrote :

Yes, it looks Lenovo bios guys fixed the issue

Version 2.18

    (New) Enabled Refresh rate 2x feature.
    (Fix) Fixed an issue related to S3 resume failure on Ubuntu.

that is copied from http://support.lenovo.com/us/en/products/laptops-and-netbooks/thinkpad-edge-laptops/thinkpad-edge-e540/downloads/DS037208

I love them.

Blubb (tokiha-mai-san) wrote :

I also had this problem.

Thinkpad e540, Firmware version 1.58, updated to 2.17. Using Kubuntu 14.04.2.

Installed Bios version 2.18 a few minutes ago. Problem has been solved.

Thank you everyone at Lenovo who fixed this!

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Changed in linux (Ubuntu):
status: Fix Released → Incomplete

Bios update solved the issue for me. This pages details how to do so: http://www.thinkwiki.org/wiki/BIOS_Upgrade#On_Debian_and_Ubuntu

I didn't have much luck with the primary method, however the "genisoimage" method worked perfectly for me.

alepac (alessandro-pacifici) wrote :

I confirm that the new BIOS from Lenovo (version 2.18) fixed the BUG.

Ivan Frederiks (idfred) wrote :

@xc-racer2
Thank you for good news! BIOS update solved the issue for me.

BTW, after BIOS update my system became unbootable, looks like Ubuntu UEFI boot entry was removed.
See http://superuser.com/questions/376470/how-to-reinstall-grub2-efi for recovery procedure.

SilverFire (d-naumenko-a) wrote :

I faced this bug with BIOS 2.11.

Then I updated BIOS to the latest version 2.20 and I can confirm that suspend works fine now.

Thank you!

P.S.: Related bug with same problem #1340376

tags: added: bios-outdated-2.20
removed: bios-outdated-2.11
SilverFire (d-naumenko-a) wrote :

Status changed to "Fix Released" because the bug is out of the Linux scope and BIOS update that fixes this bug is released by the device vendor.

Changed in linux (Ubuntu):
status: Incomplete → Fix Released

SilverFire, this is not Fix Released as defined in https://wiki.ubuntu.com/Bugs/Status .

Changed in linux (Ubuntu):
status: Fix Released → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.